apiVersion: operators.coreos.com/v1alpha1
kind: ClusterServiceVersion
metadata:
  annotations:
    alm-examples: |-
      [{
        "apiVersion": "nmstate.io/v1beta1",
        "kind": "NMState",
        "metadata": {
          "name": "nmstate"
        },
        "spec": {
          "nodeSelector": ""
        }
      }]
    capabilities: Basic Install
    operators.operatorframework.io/builder: operator-sdk-v1.0.0
    operators.operatorframework.io/project_layout: go.kubebuilder.io/v2
    categories: Networking
    description: |
      Kubernetes NMState is a declaritive means of configuring NetworkManager.
    containerImage: quay.io/nmstate/kubernetes-nmstate-operator:latest
    createdAt: 2020-011-12 17:13:03
    support: nmstate.io
    repository: https://github.com/nmstate/kubernetes-nmstate
    operatorframework.io/suggested-namespace: nmstate
    certified: "false"
  name: kubernetes-nmstate-operator.v0.0.1
  namespace: placeholder
spec:
  apiservicedefinitions: {}
  customresourcedefinitions:
    owned:
    - kind: NMState
      name: nmstates.nmstate.io
      version: v1beta1
      description: Represents an NMState deployment.
      displayName: NMState
  description: A Kubernetes Operator to install Kubernetes NMState
  displayName: Kubernetes NMState Operator
  icon:
    - base64data: >-
        [encoded data, 8588 characters]
      mediatype: image/svg+xml
  install:
    spec:
      clusterPermissions:
      - rules:
        - apiGroups:
          - admissionregistration.k8s.io
          resources:
          - mutatingwebhookconfigurations
          verbs:
          - '*'
        - apiGroups:
          - rbac.authorization.k8s.io
          resources:
          - clusterroles
          - clusterrolebindings
          - rolebindings
          - roles
          verbs:
          - '*'
        - apiGroups:
          - nmstate.io
          resources:
          - '*'
          verbs:
          - '*'
        - apiGroups:
          - apiextensions.k8s.io
          resources:
          - '*'
          verbs:
          - '*'
        - apiGroups:
          - apps
          resources:
          - deployments
          - daemonsets
          - replicasets
          - statefulsets
          verbs:
          - '*'
        - apiGroups:
          - ""
          resources:
          - serviceaccounts
          - configmaps
          - namespaces
          verbs:
          - '*'
        serviceAccountName: nmstate-operator
      deployments:
      - name: nmstate-operator
        spec:
          replicas: 1
          selector:
            matchLabels:
              name: kubernetes-nmstate-operator
          strategy: {}
          template:
            metadata:
              labels:
                app: kubernetes-nmstate-operator
                name: kubernetes-nmstate-operator
            spec:
              containers:
              - args:
                - --v=production
                command:
                - manager
                env:
                - name: WATCH_NAMESPACE
                  valueFrom:
                    fieldRef:
                      fieldPath: metadata.annotations['olm.targetNamespaces']
                - name: OPERATOR_NAME
                  value: kubernetes-nmstate-operator
                - name: ENABLE_PROFILER
                  value: "False"
                - name: PROFILER_PORT
                  value: "6060"
                - name: RUN_OPERATOR
                - name: HANDLER_IMAGE
                  value: quay.io/nmstate/kubernetes-nmstate-handler:latest
                - name: HANDLER_IMAGE_PULL_POLICY
                  value: Always
                - name: HANDLER_NAMESPACE
                  valueFrom:
                    fieldRef:
                      fieldPath: metadata.annotations['olm.targetNamespaces']
                image: quay.io/nmstate/kubernetes-nmstate-operator:latest
                imagePullPolicy: Always
                name: nmstate-operator
                resources: {}
              nodeSelector:
                node-role.kubernetes.io/master: ""
              serviceAccountName: nmstate-operator
              tolerations:
              - effect: NoSchedule
                key: node-role.kubernetes.io/master
                operator: Exists
      permissions:
      - rules:
        - apiGroups:
          - ""
          resources:
          - services
          - endpoints
          - persistentvolumeclaims
          - events
          - configmaps
          - secrets
          - pods
          verbs:
          - '*'
        - apiGroups:
          - apps
          resources:
          - deployments
          - daemonsets
          - replicasets
          - statefulsets
          verbs:
          - '*'
        - apiGroups:
          - policy
          resources:
          - poddisruptionbudgets
          verbs:
          - '*'
        serviceAccountName: nmstate-operator
    strategy: deployment
  installModes:
  - supported: true
    type: OwnNamespace
  - supported: true
    type: SingleNamespace
  - supported: false
    type: MultiNamespace
  - supported: false
    type: AllNamespaces
  keywords:
  - nmstate
  - networking
  - NetworkManager
  links:
  - name: Kubernetes Nmstate Operator
    url: https://github.com/nmstate/kubernetes-nmstate
  maintainers:
  - email: brad@redhat.com
    name: Brad P. Crochet
  maturity: alpha
  provider:
    name: NMState
  selector:
    matchLabels:
      name: kubernetes-nmstate-operator
  version: 0.0.1
